宝塔面板安装不同PHP版本 切换WordPress PHP版本 图文教程

由于我们在建站时候不同的程序可能需要兼容的软件版本不同,比如有些是需要PHP5.3才可以运行,有些需要PHP7.0版本,在前面也有介绍到在四月底的时候,WordPress官方新版本发布之后会要求最低的PHP版本是5.6,以及后面可能会要求7.0以上。

我们在服务器中部署的WEB环境,有些是开始安装的时候我们指定的PHP版本,虽然可以安装其他版本且设置默认新版本,但是并不是那么容易。比如老季也有在”OneinStack环境多PHP版本的安装共存与站点的设置“和”Kangle Easypanel面板 PHP多版本切换 安装图文教程“文章中介绍到目前较为常用的无面板脚本安装多个PHP版本的设置方法。

如果我们有在使用宝塔面板的话,这个就相对容易一些,我们可以直接在后台选择安装PHP版本,然后给不同的站点设置选择指定的PHP。如果我们后面有需要,可以参考这篇文章。

尽可能的备份数据

一般在宝塔面板后台直接安装不同的PHP版本是没有问题的,但是出于安全告知的考虑,老季建议如果确实不清楚的网友快照备份数据,或者自己熟悉的方式备份网站数据。

宝塔面板安装多PHP版本

在宝塔面板后台,我们可以在软件管理菜单看到右侧有很多PHP版本,这里我是演示环境,看到我目前安装的是PHP7.0版本。这里如果我们需要多个PHP版本的话,直接在对应后面点击安装,且后面确认安装即可。

这里我们可以看到在安装进度。需要等到安装完毕之后我们还可以下一步。

网站更改PHP版本

我们可以看到上图,在对应需要更换PHP版本的网站设置中。可以选择上面安装的PHP版本。这样就可以平滑的切换PHP版本。如果之前版本的没有用,也可以回头第一步的时候将卸载。(有必要的时候再安装,没有必要就不要安装多个,毕竟占用资源。)

搬瓦工,CN2高速线路,1GB带宽,电信联通优化KVM,延迟低,速度快,建站稳定,搬瓦工BandwagonHost VPS优惠码BWH26FXH3HIQ,支持<支付宝> 【点击购买】!

Vultr月付$3.5日本节点,512M内存/500G流量/1G带宽,电信联通优化,延迟低,速度快注册即送$50点击购买】!

腾讯云云产品特惠三折起【点击购买】

阿里云香港、新加坡VPS/1核/1G/25G SSD/1T流量/30M带宽/年付¥288【点击购买】

发表评论

电子邮件地址不会被公开。 必填项已用*标注